com.r3corda.core.node.services.testing / MockServices / recordTransactions

# recordTransactions

`open fun recordTransactions(txs: Iterable<SignedTransaction>): Unit`
Overrides ServiceHub.recordTransactions

Given a list of SignedTransactions, writes them to the local storage for validated transactions and then sends them to the wallet for further processing.

### Parameters

`txs` - The transactions to record.